gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated (983d34d -> 6cadd9a)


From: gnunet
Subject: [taler-deployment] branch master updated (983d34d -> 6cadd9a)
Date: Sun, 13 Nov 2022 12:24:32 +0100

This is an automated email from the git hooks/post-receive script.

ms pushed a change to branch master
in repository deployment.

    from 983d34d  readme: sync nginx entry
     new 904a0d9  update online presence checks
     new 6cadd9a  Buildbot.

The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 buildbot/build.sh              | 15 ++++-----
 buildbot/checks.sh             | 70 +++++++++++++++++++-----------------------
 buildbot/create_instances.sh   |  7 -----
 buildbot/create_tip_reserve.sh |  7 -----
 buildbot/master.cfg            | 41 +++----------------------
 buildbot/restart.sh            |  9 ++----
 6 files changed, 45 insertions(+), 104 deletions(-)
 delete mode 100755 buildbot/create_instances.sh
 delete mode 100755 buildbot/create_tip_reserve.sh

diff --git a/buildbot/build.sh b/buildbot/build.sh
index 6d99cac..bdfc551 100755
--- a/buildbot/build.sh
+++ b/buildbot/build.sh
@@ -2,14 +2,11 @@
 
 set -eu
 
-echo "Running taler-deployment bootstrap"
+echo "Building the Docker base image (taler_local/taler_base)."
 
-# Cannot have this here, as the activate script
-# will be made by the 'bootstrap' command.
-# source "${HOME}/activate".  Currently under test.
+${HOME}/deployment/docker/demo/build_base.sh \
+  ${HOME}/deployment/docker/images/base/Dockerfile
 
-${HOME}/deployment/bin/taler-deployment bootstrap
-
-echo "Running taler-deployment build"
-source "${HOME}/activate"
-taler-deployment build
+echo "Building each service's image."
+cd ${HOME}/deployment/docker/demo
+docker-compose build
diff --git a/buildbot/checks.sh b/buildbot/checks.sh
index 6d2a74f..7eb331e 100755
--- a/buildbot/checks.sh
+++ b/buildbot/checks.sh
@@ -25,6 +25,7 @@ error_stringify ()
 
 error_fmt="%s (http status code: %s)/(curl condition: %s - %s)\n"
 
+echo -n "Check exchange..."
 URL="https://exchange.${DEPLOYMENT}.${DOMAIN}/";
 http_status_code=$(curl \
   -s "$URL" -o /dev/null \
@@ -36,21 +37,24 @@ if ! test 200 = $http_status_code; then
     $http_status_code $? "$(error_stringify $?)"
   exit 1
 fi
+echo OK
 
-URL="http://backend.${DEPLOYMENT}.${DOMAIN}/";
+echo -n "Check merchant backend..."
+URL="https://backend.${DEPLOYMENT}.${DOMAIN}/";
 http_status_code=$(curl \
   -s $URL \
   -o /dev/null \
   -w "%{http_code}")
-if ! test 301 = $http_status_code; then
+if ! test 200 = $http_status_code; then
   printf "'%s' failed\n" $URL
   printf "$error_fmt" \
     "Merchant backend did not restart correctly" \
     $http_status_code $? "$(error_stringify $?)"
   exit 1
 fi
+echo OK
 
-
+echo -n "Check blog..."
 URL="https://shop.${DEPLOYMENT}.${DOMAIN}/";
 http_status_code=$(curl \
   -s $URL -o /dev/null \
@@ -62,7 +66,9 @@ if ! test 302 = $http_status_code; then
     $http_status_code $? "$(error_stringify $?)"
   exit 1
 fi
+echo OK
 
+echo -n "Check survey..."
 URL="https://survey.${DEPLOYMENT}.${DOMAIN}/";
 http_status_code=$(curl \
   -s $URL -o /dev/null \
@@ -74,7 +80,9 @@ if ! test 302 = $http_status_code; then
     $http_status_code $? "$(error_stringify $?)"
   exit 1
 fi
+echo OK
 
+echo -n "Check donations..."
 URL="https://donations.${DEPLOYMENT}.${DOMAIN}/";
 http_status_code=$(curl \
   -s $URL -o /dev/null \
@@ -86,19 +94,37 @@ if ! test 302 = $http_status_code; then
     $http_status_code $? "$(error_stringify $?)"
   exit 1
 fi
+echo OK
 
-URL="https://bank.${DEPLOYMENT}.${DOMAIN}/";
+echo -n "Check bank Web UI..."
+URL="https://bank.${DEPLOYMENT}.${DOMAIN}/webui/";
 http_status_code=$(curl \
   -s $URL -o /dev/null \
   -w "%{http_code}")
-if ! test 302 = $http_status_code; then
+if ! test 200 = $http_status_code; then
+  printf "%s failed\n" $URL
+  printf "$error_fmt" \
+    "Bank did not restart correctly" \
+    $http_status_code $? "$(error_stringify $?)"
+  exit 1
+fi
+echo OK
+
+echo -n "Check libEufin (Sandbox)..."
+URL="https://bank.${DEPLOYMENT}.${DOMAIN}/demobanks/default/integration-api/config";
+http_status_code=$(curl \
+  -s $URL -o /dev/null \
+  -w "%{http_code}")
+if ! test 200 = $http_status_code; then
   printf "%s failed\n" $URL
   printf "$error_fmt" \
     "Bank did not restart correctly" \
     $http_status_code $? "$(error_stringify $?)"
   exit 1
 fi
+echo OK
 
+echo -n "Check landing page..."
 URL="https://${DEPLOYMENT}.${DOMAIN}/en/index.html";
 http_status_code=$(curl \
   -s $URL -o /dev/null \
@@ -110,36 +136,4 @@ if ! test 200 = $http_status_code; then
      $http_status_code $? "$(error_stringify $?)"
   exit 1
 fi
-
-
-
-if $(taler-config -s twister -o twister_deploy >& /dev/null); then
-
-  for twister_url in "https://twister-backend.wild.gv.taler.net"; \
-                     "https://twister-bank.wild.gv.taler.net"; \
-                     "https://twister-exchange.wild.gv.taler.net";; do
-    http_status_code=$(curl \
-      -H "Authorization: ApiKey sandbox" \
-      -s $twister_url -o /dev/null \
-      -w "%{http_code}")
-    if ! test 200 = $http_status_code; then
-
-      if test 503 = $http_status_code; then
-        printf "%s %s\n" \
-          "Hit a '503 Service Unavailable' from Twister." \
-          "Assuming all is correct."
-        exit 0
-      fi
-
-      # Real failure here.
-      printf "%s failed\n" $twister_url
-      printf "$error_fmt" \
-        "Twister did not restart correctly" \
-         $http_status_code $? "$(error_stringify $?)"
-      exit 1
-    fi
-  done
-fi
-
-
-printf "All services correctly restarted!\n"
+echo OK
diff --git a/buildbot/create_instances.sh b/buildbot/create_instances.sh
deleted file mode 100755
index c67cff6..0000000
--- a/buildbot/create_instances.sh
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/usr/bin/env bash
-
-# Step for the BUILD_FACTORY running the 'test.taler.net' site.
-set -eu
-
-source "${HOME}/activate"
-taler-deployment-config-instances
diff --git a/buildbot/create_tip_reserve.sh b/buildbot/create_tip_reserve.sh
deleted file mode 100755
index df756d3..0000000
--- a/buildbot/create_tip_reserve.sh
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/usr/bin/env bash
-
-# Step for the BUILD_FACTORY running the 'test.taler.net' site.
-set -eu
-
-source "${HOME}/activate"
-taler-deployment-config-tips
diff --git a/buildbot/master.cfg b/buildbot/master.cfg
index 24f5483..1e53163 100644
--- a/buildbot/master.cfg
+++ b/buildbot/master.cfg
@@ -670,16 +670,18 @@ WALLET_FACTORY.addStep(
         haltOnFailure=True
     )
 )
+
 WALLET_FACTORY.addStep(
     ShellCommand(
         name="test",
         description="Running wallet tests",
         descriptionDone="Test correctly run",
         command=["timeout", "--preserve-status", "5m",
+                 "docker", "run", "-i", "-t", "taler_local/taler_base",
                  "taler-wallet-cli", "testing", "run-integrationtests",
                  "--suites", 
"wallet,merchant,libeufin,wallet-backup,wallet-tipping"],
         workdir="../../",
-        env={'PATH': "${HOME}/local/bin:${PATH}"}
+        env={'PATH': "${HOME}/bin:${PATH}"}
     )
 )
 
@@ -1000,22 +1002,10 @@ BUILD_FACTORY.addStep(
     )
 )
 
-BUILD_FACTORY.addStep(
-    ShellCommand(
-        name="keys generation and sign",
-        description="Generating exchange keys, and auditor-sign them.",
-        descriptionDone="Exchange keys generated, and auditor-signed.",
-        command=["timeout", "--preserve-status", "1m",
-                 "./keys.sh"],
-        workdir="../../deployment/buildbot",
-        haltOnFailure=True,
-        env={'BRANCH': util.Property("branch")}
-    )
-)
 BUILD_FACTORY.addStep(
     ShellCommand(
         name="restart services",
-        description="Restarting inactive blue-green party.",
+        description="Restart services keeping data.",
         descriptionDone="Restarting Taler.",
         command=["./restart.sh"],
         workdir="../../deployment/buildbot",
@@ -1034,29 +1024,6 @@ BUILD_FACTORY.addStep(
         env={'DEPLOYMENT': "test"}
     )
 )
-BUILD_FACTORY.addStep(
-    ShellCommand(
-        name="create instances",
-        description="Create merchant instances.",
-        descriptionDone="All the instances got created.",
-        command=["./create_instances.sh"],
-        workdir="../../deployment/buildbot",
-        haltOnFailure=True,
-        env={'DEPLOYMENT': "test"}
-    )
-)
-
-BUILD_FACTORY.addStep(
-    ShellCommand(
-        name="activate tip reserve",
-        description="Instruct the merchant to pay and authorize the tip 
reserve.",
-        descriptionDone="The tip reserve got payed and authorized.",
-        command=["./create_tip_reserve.sh"],
-        workdir="../../deployment/buildbot",
-        haltOnFailure=True,
-        env={'DEPLOYMENT': "test"}
-    )
-)
 
 BUILDERS.append(util.BuilderConfig(
     name="test-builder", workernames=["test-worker"], factory=BUILD_FACTORY
diff --git a/buildbot/restart.sh b/buildbot/restart.sh
index 03d55a3..30cf63a 100755
--- a/buildbot/restart.sh
+++ b/buildbot/restart.sh
@@ -2,10 +2,7 @@
 
 set -eu
 
-DATE=`date`
-echo "Restarting Taler deployment at $DATE"
-source "${HOME}/activate"
-taler-deployment-restart
+cd ${HOME}/deployment/docker/demo
 
-echo "Deployment ready"
-exit 0
+docker-compose stop
+docker-compose up --remove-orphans -d

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]